%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:       chm2pdf
Version:    0.9.1
Release:    18%{?dist}
Summary:    A tool to convert CHM files to PDF files
Group:      Applications/Publishing
License:    GPLv2+
URL:        http://code.google.com/p/chm2pdf/
Source:     http://chm2pdf.googlecode.com/files/chm2pdf-%{version}.tar.gz

BuildArch:  noarch
BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  python-devel
Requires:   python >= 2.5, python-chm, htmldoc
Patch1:     chm2pdf_insecure_tempdirs.patch
# https://code.google.com/p/chm2pdf/issues/detail?id=3
Patch2:     chm2pdf-0.9.1_space.patch
# Additional my patch for that bug
Patch3:     chm2pdf-0.9.1-shellquote.patch

%description
A simple Python script that converts CHM files into PDF files.

%prep
%setup -q
%patch1 -p1 -b .orig
%patch2 -p0 -b .space
%patch3 -p0 -b .shellquote

%build
CFLAGS="$RPM_OPT_FLAGS" %{__python} setup.py build

%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install --skip-build --root $RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc README LICENSE
%{_bindir}/chm2pdf
%{python_sitelib}/chm2pdf-0.9-py?.?.egg-info


%changelog
* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.1-18
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.1-17
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.1-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.1-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sat May 18 2013 Pavel Alexeev <Pahan@Hubbitus.info> - 0.9.1-14
- Apply rebased Patch2: chm2pdf-0.9.1_space.patch from https://code.google.com/p/chm2pdf/issues/detail?id=3 to fix bz#869041
- Provide Patch3: chm2pdf-0.9.1-shellquote.patch

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.1-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.1-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu Jan 12 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.1-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.1-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun Jan 9 2011 Lakshmi Narasimhan T V <lakshminaras2002@gmail.com> - 0.9.1-9
- Applied patch to fix use of fixed temporary directories. Fixes bugs 474455,474457

* Wed Jul 21 2010 David Malcolm <dmalcolm@redhat.com> - 0.9.1-8
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Feb 23 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Nov 29 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 0.9.1-5
- Fix locations for Python 2.6

* Sat Nov 29 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 0.9.1-4
- Rebuild for Python 2.6

* Fri Jul 25 2008 Kushal Das <kushal@fedoraproject.org> 0.9.1-3
- Fixed as asked in the review

* Wed Jul 23 2008 Kushal Das <kushal@fedoraproject.org> 0.9.1-2
- Fixed the group

* Wed Jul 23 2008 Kushal Das <kushal@fedoraproject.org> 0.9.1-1
- Initial RPM release

